Visual LISP, AutoLISP and General Customization

Reply
*Picklesimer, Chris
Message 1 of 3 (86 Views)

Using SSGET With Variable Names

86 Views, 2 Replies
08-29-2000 12:17 PM
I want to put blocks of the same name into a selection set. I will do this
for each block in my dwg. I get the block names from TBLSEARCH and then
store each name in a variable called MyBlock. I tried the following
unsuccessfully:

(setq ss1 (ssget "X"'((0 . "INSERT")(2 . MyBlock))))

How can I do this using a variable for the block name?

Thanks

Chris
*CADDee.com
Message 2 of 3 (86 Views)

Re: Using SSGET With Variable Names

08-29-2000 12:31 PM in reply to: *Picklesimer, Chris
Try the following:

(setq ss1 (ssget "X" (list (cons 0 "INSERT")(cons 2 MyBlock))))

James Dee
www.caddee.com

Chris Picklesimer wrote in message
news:96F8829230CBDE1C496671C3AD8694CB@in.WebX.SaUCah8kaAW...
> I want to put blocks of the same name into a selection set. I will do this
> for each block in my dwg. I get the block names from TBLSEARCH and then
> store each name in a variable called MyBlock. I tried the following
> unsuccessfully:
>
> (setq ss1 (ssget "X"'((0 . "INSERT")(2 . MyBlock))))
>
> How can I do this using a variable for the block name?
>
> Thanks
>
> Chris
>
*Picklesimer, Chris
Message 3 of 3 (86 Views)

Re:

08-29-2000 12:31 PM in reply to: *Picklesimer, Chris
Thanks James! That did it.

Chris

CADDee.com wrote in message
news:C7EAB75A6890C1065061B99EA9AE64D6@in.WebX.SaUCah8kaAW...
> Try the following:
>
> (setq ss1 (ssget "X" (list (cons 0 "INSERT")(cons 2 MyBlock))))
>
> James Dee
> www.caddee.com
>
> Chris Picklesimer wrote in message
> news:96F8829230CBDE1C496671C3AD8694CB@in.WebX.SaUCah8kaAW...
> > I want to put blocks of the same name into a selection set. I will do
this
> > for each block in my dwg. I get the block names from TBLSEARCH and then
> > store each name in a variable called MyBlock. I tried the following
> > unsuccessfully:
> >
> > (setq ss1 (ssget "X"'((0 . "INSERT")(2 . MyBlock))))
> >
> > How can I do this using a variable for the block name?
> >
> > Thanks
> >
> > Chris
> >
>

You are not logged in.

Log into access your profile, ask and answer questions, share ideas and more. Haven't signed up yet? Register

Announcements
Are you familiar with the Autodesk Expert Elites? The Expert Elite program is made up of customers that help other customers by sharing knowledge and exemplifying an engaging style of collaboration. To learn more, please visit our Expert Elite website.

Need installation help?

Start with some of our most frequented solutions to get help installing your software.

Ask the Community